]> git.decadent.org.uk Git - dak.git/blobdiff - config/debian/cron.weekly
Fix cd
[dak.git] / config / debian / cron.weekly
index 06d3f90a93d6e3a54e81a2afd6f571b93127237a..7d884b6a1e707a07f9afb1eb5378b1cc8f0db933 100755 (executable)
@@ -1,8 +1,9 @@
-#!/bin/sh
+#!/bin/bash
 #
 # Run once a week via cron, out of dak's crontab.
 
 set -e
+set -o pipefail
 set -u
 # ERR traps should be inherited from functions too. (And command
 # substitutions and subshells and whatnot, but for us the functions is
@@ -31,10 +32,6 @@ if [ ! -z "$(find $ftpdir/pool/ -type d -empty)" ]; then
    find $ftpdir/pool/ -type d -empty | xargs rmdir;
 fi
 
-# Split queue/done
-echo "Splitting queue/done"
-dak split-done > /dev/null
-
 # Do git cleanup stuff
 echo "Doing git stuff"
 cd /srv/ftp.debian.org/git/dak.git